

#include "BUILTIN.h"

#include "Array.h"

#include "Nat.h"

#include "Char.h"

#include "Bitset.h"
extern TUP2 _AMatchIdentFunFlat_1(OBJ,OBJ);OBJ __AMatchIdentFunFlat_1; /* matchIdentFunBySortPnFlat */
extern TUP2 _AMatchIdentFunFlat_2(OBJ,OBJ);OBJ __AMatchIdentFunFlat_2; /* matchIdentFunByInstPnFlat */
extern TUP3 _AMatchIdentFunFlat_3(OBJ,OBJ,OBJ,OBJ);OBJ __AMatchIdentFunFlat_3; /* matchIdentFunByOnlyPnFlat */

extern TUP2 _AMatchIdentFunFlat_1(OBJ x1,OBJ x2) /* matchIdentFunBySortPnFlat */
{TUP2 r;
 FRPRD(x2,1);
 r.c1=x1;r.c2=__ABUILTIN_5;
 return r;}
extern OBJ _AMatchIdentFunFlat_1_c(OBJ x1,OBJ x2) /* matchIdentFunBySortPnFlat */
{OBJ r;
 {TUP2 t=_AMatchIdentFunFlat_1(x1,x2);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _AMatchIdentFunFlat_2(OBJ x1,OBJ x2) /* matchIdentFunByInstPnFlat */
{TUP2 r;
 FRPRD(x2,1);
 r.c1=x1;r.c2=__ABUILTIN_5;
 return r;}
extern OBJ _AMatchIdentFunFlat_2_c(OBJ x1,OBJ x2) /* matchIdentFunByInstPnFlat */
{OBJ r;
 {TUP2 t=_AMatchIdentFunFlat_2(x1,x2);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP3 _AMatchIdentFunFlat_3(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* matchIdentFunByOnlyPnFlat */
{TUP3 r;
 r.c1=x1;r.c2=__ABUILTIN_5;r.c3=x4;
 return r;}
extern OBJ _AMatchIdentFunFlat_3_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* matchIdentFunByOnlyPnFlat */
{OBJ r;
 {TUP3 t=_AMatchIdentFunFlat_3(x1,x2,x3,x4);
  PRD1(3,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;}
 return r;}

init_AMatchIdentFunFlat()
{
 static int visited=0; if(visited) return; visited=1;
 init_AArray();
 init_AMaps4SigAna();
 init_AImpDecl4SigAna();
 init_AName4SigAna();
 init_AGlobSig();
 init_APartNamePrep();
 init_AObjects();
 init_AStruct();
 init_APartNameEntry();
 init_ACompose();
 init_AName();
 init_ATriple();
 init_ARep();
 init_ASeqMapEnv();
 init_APartName();
 init_ASeqReduce();
 init_AOcPos();
 init_AMySeqFun1();
 init_ANat();
 init_AMySeqFun2();
 init_AOption();
 init_AAbsyFun2();
 init_AFct();
 init_ACom();
 init_ASeq();
 init_AVoid();
 init_AChar();
 init_ASetByBST();
 init_APragma();
 init_ABSTree();
 init_ATable();
 init_ATree();
 init_AUniqueTable();
 init_ALexem();
 init_ADeclEntry();
 init_ASeqMap();
 init_AImpExpEntry();
 init_ADArrayReduce();
 init_AGlobSigImpl();
 init_AImpl();
 init_AGlobPragma();
 init_APair();
 init_AMap();
 init_ASet();
 init_ABitset();
 init_APatterns();
 init_AAttributes();
 init_ADArray();
 init_ANatMap();
 init_AString();
 CLS(4,_AMatchIdentFunFlat_3_c,__AMatchIdentFunFlat_3);
 CLS(2,_AMatchIdentFunFlat_2_c,__AMatchIdentFunFlat_2);
 CLS(2,_AMatchIdentFunFlat_1_c,__AMatchIdentFunFlat_1);}

